Page MenuHomePhabricator

[EPIC] Better support for low grade/remote browsers needed
Closed, DeclinedPublic

Description

This task tracks issues (as subtasks) with the display of Wikipedia on older mobile devices.

Opera Mini

You can configure Opera Mini to render your website on Operas servers and send a static (super small) version to your mobile phones browser. This is really good when you have a slow connection and pay for the amount of data. According to Opera: Mobile internet users in Africa have already saved $500,000,000 over the last 10 months, while using the Opera Mini mobile browser and there are also a large user base in India.

The mobile web has room for improvement to work better and look better in Opera Mini. These are listed as blocking tasks.

Remote browsers

What is a remote browser?

A remote browser parse the page server side (on the browser companies servers) optimize it and send snapshot of the page in a proprietary format back to the browser. You read can read a full summary by Tim Kadlec.

Why are remote browsers important?

The idea with the remote browsers is to make pages small, fast and cheap for people with slow internet connections.

It's hard to get numbers how many users that actually use the mini version (=remote) but for example Opera is the most popular browser in most countries in Africa and UC is biggest browser in India.

What's the problem?

Today Wikipedia doesn't work so good on remote browsers (see the subtasks). That something we should fix to be able to bring free educational content to the world.

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
DuplicateNone
DuplicateNone
Resolved Nirzar
Resolveddr0ptp4kt
Resolved Nirzar
ResolvedNone
ResolvedJdlrobson
Resolvedphuedx
DuplicateNone
DuplicateNone
ResolvedKrinkle
ResolvedJdlrobson
DuplicateNone
InvalidJdlrobson
DuplicateNone
ResolvedVolker_E
DeclinedSpikeNone
DeclinedJdlrobson
ResolvedKrinkle
DeclinedNone
Resolvedovasileva
ResolvedJdlrobson
Resolvedovasileva
Resolvedovasileva
OpenPeter

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2016, 5:33 PM
Jdlrobson renamed this task from [EPIC] Better support for low grade browsers needed to [EPIC] Better support for low grade/remote browsers needed.Apr 13 2017, 11:16 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Peter, Mholloway, Zppix.
ovasileva triaged this task as Medium priority.Jul 13 2018, 10:10 AM
Jdlrobson lowered the priority of this task from Medium to Low.Aug 1 2019, 8:20 PM

No activity in almost a year.

Jdlrobson closed this task as Declined.Dec 16 2019, 4:47 PM

Only two tasks and not actionable in itself. Doesnt seem useful keeping open.